Get Custom Payout/Revenue by ID
curl --request GET \
--url https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId}")
.header("X-Eflow-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"network_custom_payout_revenue_setting_id": 123,
"network_id": 123,
"network_offer_id": 123,
"network_offer_payout_revenue_id": 123,
"name": "<string>",
"custom_setting_status": "active",
"is_apply_all_affiliates": true,
"is_custom_payout_enabled": true,
"payout_type": "blank",
"payout_amount": 123,
"payout_percentage": 123,
"is_custom_revenue_enabled": true,
"revenue_type": "blank",
"revenue_amount": 123,
"revenue_percentage": 123,
"description": "<string>",
"public_description": "<string>",
"is_postback_disabled": true,
"date_valid_from": "<string>",
"date_valid_to": "<string>",
"is_apply_specific_offer_urls": true,
"network_affiliate_ids": [
123
],
"time_created": 1734455015,
"time_saved": 1734455015,
"network_offer_url_ids": [
123
],
"relationship": {
"affiliates": {
"total": 123,
"entries": [
{
"network_affiliate_id": 123,
"network_id": 123,
"name": "<string>",
"account_status": "<string>",
"network_employee_id": 123,
"internal_notes": "<string>",
"has_notifications": true,
"network_traffic_source_id": 123,
"account_executive_id": 123,
"adress_id": 123,
"default_currency_id": "<string>",
"is_contact_address_enabled": true,
"enable_media_cost_tracking_links": true,
"time_created": 1734455015,
"time_saved": 1734455015,
"referrer_id": 123
}
]
},
"offer": {
"network_offer_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"network_offer_group_id": 123,
"name": "<string>",
"offer_status": "<string>",
"network_tracking_domain_id": 123,
"visibility": "<string>",
"currency_id": "<string>"
},
"payout_revenue": {
"network_offer_payout_revenue_id": 123,
"network_id": 123,
"network_offer_id": 123,
"entry_name": "<string>",
"payout_type": "<string>",
"payout_amount": 123,
"payout_percentage": 123,
"revenue_type": "<string>",
"revenue_amount": 123,
"revenue_percentage": 123,
"is_default": true,
"is_private": true,
"is_postback_disabled": true,
"is_enforce_caps": true,
"time_created": 1734455015,
"global_advertiser_event_id": 123,
"is_must_approve_conversion": true,
"is_allow_duplicate_conversion": true,
"is_email_attribution_default_event": true,
"remote_offer_resource": {}
},
"currency_id": "<string>",
"ruleset": {},
"variables": {
"total": 123,
"entries": [
{
"network_custom_payout_revenue_setting_variable_id": 123,
"network_custom_payout_revenue_setting_id": 123,
"comparison_method": "<string>",
"variable": "<string>",
"variable_value": "<string>",
"variable_secondary_value": "<string>"
}
]
},
"offer_urls": [
{
"network_offer_url_id": 123,
"network_id": 123,
"network_offer_id": 123,
"name": "<string>"
}
]
}
}Custom Payout & Revenues
Get Custom Payout/Revenue
Retrieve a single custom payout/revenue setting by its ID.
GET
/
networks
/
custom
/
payoutrevenue
/
{settingId}
Get Custom Payout/Revenue by ID
curl --request GET \
--url https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId}")
.header("X-Eflow-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"network_custom_payout_revenue_setting_id": 123,
"network_id": 123,
"network_offer_id": 123,
"network_offer_payout_revenue_id": 123,
"name": "<string>",
"custom_setting_status": "active",
"is_apply_all_affiliates": true,
"is_custom_payout_enabled": true,
"payout_type": "blank",
"payout_amount": 123,
"payout_percentage": 123,
"is_custom_revenue_enabled": true,
"revenue_type": "blank",
"revenue_amount": 123,
"revenue_percentage": 123,
"description": "<string>",
"public_description": "<string>",
"is_postback_disabled": true,
"date_valid_from": "<string>",
"date_valid_to": "<string>",
"is_apply_specific_offer_urls": true,
"network_affiliate_ids": [
123
],
"time_created": 1734455015,
"time_saved": 1734455015,
"network_offer_url_ids": [
123
],
"relationship": {
"affiliates": {
"total": 123,
"entries": [
{
"network_affiliate_id": 123,
"network_id": 123,
"name": "<string>",
"account_status": "<string>",
"network_employee_id": 123,
"internal_notes": "<string>",
"has_notifications": true,
"network_traffic_source_id": 123,
"account_executive_id": 123,
"adress_id": 123,
"default_currency_id": "<string>",
"is_contact_address_enabled": true,
"enable_media_cost_tracking_links": true,
"time_created": 1734455015,
"time_saved": 1734455015,
"referrer_id": 123
}
]
},
"offer": {
"network_offer_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"network_offer_group_id": 123,
"name": "<string>",
"offer_status": "<string>",
"network_tracking_domain_id": 123,
"visibility": "<string>",
"currency_id": "<string>"
},
"payout_revenue": {
"network_offer_payout_revenue_id": 123,
"network_id": 123,
"network_offer_id": 123,
"entry_name": "<string>",
"payout_type": "<string>",
"payout_amount": 123,
"payout_percentage": 123,
"revenue_type": "<string>",
"revenue_amount": 123,
"revenue_percentage": 123,
"is_default": true,
"is_private": true,
"is_postback_disabled": true,
"is_enforce_caps": true,
"time_created": 1734455015,
"global_advertiser_event_id": 123,
"is_must_approve_conversion": true,
"is_allow_duplicate_conversion": true,
"is_email_attribution_default_event": true,
"remote_offer_resource": {}
},
"currency_id": "<string>",
"ruleset": {},
"variables": {
"total": 123,
"entries": [
{
"network_custom_payout_revenue_setting_variable_id": 123,
"network_custom_payout_revenue_setting_id": 123,
"comparison_method": "<string>",
"variable": "<string>",
"variable_value": "<string>",
"variable_secondary_value": "<string>"
}
]
},
"offer_urls": [
{
"network_offer_url_id": 123,
"network_id": 123,
"network_offer_id": 123,
"name": "<string>"
}
]
}
}Authorizations
Query Parameters
Response
200 - application/json
Public description visible to affiliates. Note that if the custom payout revenue completely overrides the base payout revenue settings (not regulated by dates, targeting, or variable rules), it will not appear as a "custom payout" setting for the affiliate, and this description will not be visible.
Was this page helpful?
